from setuptools import setup
import pathlib

with open("VERSION") as f:
    version = f.read().strip()

# The directory containing this file
HERE = pathlib.Path(__file__).parent

# The text of the README file
README = (HERE / 'README.md').read_text()

#with open("DEPEND") as f:
#    sas_pkgs = []
#    for line in f:
#        pkg, ver = line.strip().split()
#        sas_pkgs.append('%s>=%s' % (pkg, ver))

setup(
    name="pysasplot_utils",
    version=version,
    url="https://www.cosmos.esa.int/xmm-newton",
    license="GNU Public License v. 3",
    author="European Space Agency (ESA)",
    author_email="alejandro.gonzalez.ganzabal@esa.int",
    maintainer="XMM-Newton Science Operations Centre",
    maintainer_email="helpdesk@xmm.esac.esa.int",
    description="Set of basic plotting utilities to directly plot FITS files among others.",
    long_description=README,
    long_description_content_type="text/markdown",
    platforms=['Linux', 'macOS'],
    package_dir={"": "src"},
    packages=['pysasplot_utils'],
    python_requires=">=3.6",
#    install_requires=sas_pkgs,
    scripts=['src/pysasplot_utils/bin/pysasplot_utils']
#    entry_points={"console_scripts": ["pysasplot_utils = pysasplot_utils.cli:main"]},
)
